--CODE
MB = {}
MB.modName = "MoreBelts"
MB.baseGraphicsIcons = "__".. MB.modName .."__/graphics/icons/"
MB.baseGraphicsEntity = "__".. MB.modName .."__/graphics/entity/"

---------------------- Brisk Picture Locations
brisk_belt_filename = MB.baseGraphicsEntity .. "brisk-transport/transport-belt.png"
hr_brisk_belt_filename = MB.baseGraphicsEntity .. "brisk-transport/hr-transport-belt.png"

---------------------- BRISK BELT PICTURES
brisk_belt_horizontal =
  {
    filename = brisk_belt_filename,
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    hr_version =
    {
      filename = hr_brisk_belt_filename,
      priority = "extra-high",
      width = 80,
      height = 80,
      frame_count = 32,
      line_length = 16,
      scale = 0.5
    }
  }
brisk_belt_vertical =
  {
    filename = brisk_belt_filename,
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 40,
    hr_version =
    {
      filename = hr_brisk_belt_filename,
      priority = "extra-high",
      width = 80,
      height = 80,
      frame_count = 32,
      line_length = 16,
      y = 160,
      scale = 0.5
    }
  }
brisk_belt_ending_top =
  {
    filename = brisk_belt_filename,
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 80,
    hr_version =
    {
      filename = hr_brisk_belt_filename,
      priority = "extra-high",
      width = 80,
      height = 80,
      frame_count = 32,
      line_length = 16,
      y = 320,
      scale = 0.5
    }
  }
brisk_belt_ending_bottom =
  {
    filename = brisk_belt_filename,
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 120,
    hr_version =
    {
      filename = hr_brisk_belt_filename,
      priority = "extra-high",
      width = 80,
      height = 80,
      frame_count = 32,
      line_length = 16,
      y = 480,
      scale = 0.5
    }
  }
brisk_belt_ending_side =
  {
    filename = brisk_belt_filename,
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 160,
    hr_version =
    {
      filename = hr_brisk_belt_filename,
      priority = "extra-high",
      width = 80,
      height = 80,
      frame_count = 32,
      line_length = 16,
      y = 640,      
      scale = 0.5
    }
  }
brisk_belt_starting_top =
  {
    filename = brisk_belt_filename,
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 200,
    hr_version =
    {
      filename = hr_brisk_belt_filename,
      priority = "extra-high",
      width = 80,
      height = 80,
      frame_count = 32,
      line_length = 16,
      y = 800,
      scale = 0.5
    }
  }
brisk_belt_starting_bottom =
  {
    filename = brisk_belt_filename,
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 240,
    hr_version =
    {
      filename = hr_brisk_belt_filename,
      priority = "extra-high",
      width = 80,
      height = 80,
      frame_count = 32,
      line_length = 16,
      y = 960,
      scale = 0.5
    }
  }
brisk_belt_starting_side =
  {
    filename = brisk_belt_filename,
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 280,
    hr_version =
    {
      filename = hr_brisk_belt_filename,
      priority = "extra-high",
      width = 80,
      height = 80,
      frame_count = 32,
      line_length = 16,
      y = 1120,
      scale = 0.5
    }
  }
  
 
  
 transport_belt_connector_frame_sprites = {
  frame_main_h = 
  {
    filename = "__base__/graphics/entity/transport-belt/connector/transport-belt-connector-frame-main-h.png",
    priority = "low",
    width = 34,
    height = 38,
    shift = {0, -0.0625},
  },
  frame_main_ne = 
  {
    filename = "__base__/graphics/entity/transport-belt/connector/transport-belt-connector-frame-main-ne.png",
    priority = "low",
    width = 35,
    height = 34,
    shift = {-0.015625, 0},
  },
  frame_main_nw = 
  {
    filename = "__base__/graphics/entity/transport-belt/connector/transport-belt-connector-frame-main-nw.png",
    priority = "low",
    width = 34,
    height = 34,
    shift = {0, 0},
  },
  frame_main_se = 
  {
    filename = "__base__/graphics/entity/transport-belt/connector/transport-belt-connector-frame-main-se.png",
    priority = "low",
    width = 34,
    height = 39,
    shift = {0, -0.078125},
  },
  frame_main_sw = 
  {
    filename = "__base__/graphics/entity/transport-belt/connector/transport-belt-connector-frame-main-sw.png",
    priority = "low",
    width = 34,
    height = 39,
    shift = {0, -0.078125},
  },
  frame_main_v = 
  {
    filename = "__base__/graphics/entity/transport-belt/connector/transport-belt-connector-frame-main-v.png",
    priority = "low",
    width = 34,
    height = 34,
    shift = {0, 0},
  },
  frame_main_x = 
  {
    filename = "__base__/graphics/entity/transport-belt/connector/transport-belt-connector-frame-main-x.png",
    priority = "low",
    width = 34,
    height = 34,
    shift = {0, 0},
  },
  frame_shadow_h = 
  {
    filename = "__base__/graphics/entity/transport-belt/connector/transport-belt-connector-frame-shadow-h.png",
    priority = "low",
    width = 37,
    height = 34,
    shift = {0.078125, 0},
  },
  frame_shadow_ne = 
  {
    filename = "__base__/graphics/entity/transport-belt/connector/transport-belt-connector-frame-shadow-ne.png",
    priority = "low",
    width = 39,
    height = 34,
    shift = {0.109375, 0},
  },
  frame_shadow_nw = 
  {
    filename = "__base__/graphics/entity/transport-belt/connector/transport-belt-connector-frame-shadow-nw.png",
    priority = "low",
    width = 40,
    height = 34,
    shift = {0.09375, 0},
  },
  frame_shadow_se = 
  {
    filename = "__base__/graphics/entity/transport-belt/connector/transport-belt-connector-frame-shadow-se.png",
    priority = "low",
    width = 39,
    height = 34,
    shift = {0.109375, 0},
  },
  frame_shadow_sw = 
  {
    filename = "__base__/graphics/entity/transport-belt/connector/transport-belt-connector-frame-shadow-sw.png",
    priority = "low",
    width = 39,
    height = 34,
    shift = {0.109375, 0},
  },
  frame_shadow_v = 
  {
    filename = "__base__/graphics/entity/transport-belt/connector/transport-belt-connector-frame-shadow-v.png",
    priority = "low",
    width = 39,
    height = 34,
    shift = {0.109375, 0},
  },
  frame_shadow_x = 
  {
    filename = "__base__/graphics/entity/transport-belt/connector/transport-belt-connector-frame-shadow-x.png",
    priority = "low",
    width = 39,
    height = 34,
    shift = {0.109375, 0},
  },
  frame_main_scanner = 
  {
    filename = "__base__/graphics/entity/transport-belt/connector/transport-belt-connector-frame-main-scanner.png",
    priority = "low",
    blend_mode = "additive",
    width = 10,
    height = 31,
    frame_count = 8,
    shift = {0, 0.015625},
  },
  
  frame_main_scanner_movement_speed = 0.032258064516129,
  
  frame_main_scanner_horizontal_start_shift = {-0.25, -0.125 + 1/32},
  frame_main_scanner_horizontal_end_shift = {0.25, -0.125 + 1/32},
  frame_main_scanner_horizontal_y_scale = 0.70,
  frame_main_scanner_horizontal_rotation = 0,

  frame_main_scanner_vertical_start_shift = {0, -0.3125},
  frame_main_scanner_vertical_end_shift = {0, 0.1875} ,
  frame_main_scanner_vertical_y_scale = 0.75,
  frame_main_scanner_vertical_rotation = 0.25,

  frame_main_scanner_cross_horizontal_start_shift = {-0.3125, -0.0625},
  frame_main_scanner_cross_horizontal_end_shift = {0.3125, -0.0625} ,
  frame_main_scanner_cross_horizontal_y_scale = 0.60,
  frame_main_scanner_cross_horizontal_rotation = 0,

  frame_main_scanner_cross_vertical_start_shift = {0, -0.3125},
  frame_main_scanner_cross_vertical_end_shift = {0, 0.1875} ,
  frame_main_scanner_cross_vertical_y_scale = 0.75,
  frame_main_scanner_cross_vertical_rotation = 0.25,
  
  
  frame_main_scanner_nw_ne = 
  {
    filename = "__base__/graphics/entity/transport-belt/connector/transport-belt-connector-frame-main-scanner-nw-ne.png",
    priority = "low",
    blend_mode = "additive",
    line_length = 8,
    width = 28,
    height = 24,
    frame_count = 32,
    shift = {-0.03125, -0.0625},
  },
  
  frame_main_scanner_sw_se = 
  {
    filename = "__base__/graphics/entity/transport-belt/connector/transport-belt-connector-frame-main-scanner-sw-se.png",
    priority = "low",
    blend_mode = "additive",
    line_length = 8,
    width = 29,
    height = 28,
    frame_count = 32,
    shift = {0.015625, -0.09375},
  },
}
